html,
body {
  margin: 0;
  padding: 0;
  height: 100%;
  width: 100%;
  overflow: hidden;
}

main {
  position: relative;
  height: 100%;
  width: 100%;
  display: flex;
}

.maze {
  position: relative;
  flex: 2;
  padding: 25px;
  display: flex;
  flex-direction: column;
}

.maze .row {
  min-height: 32px;
  max-height: calc(100% / var(--size));
  height: 100%;
  width: 100%;
  display: flex;
  justify-content: center;
}

.maze .row:first-child {
  border-top-left-radius: 5px;
  border-top-right-radius: 5px;
}

.maze .row:last-child {
  border-bottom-left-radius: 5px;
  border-bottom-right-radius: 5px;
}

.maze .row .column {
  min-height: 32px;
  min-width: 32px;
  max-width: calc(100% / var(--size));
  height: 100%;
  aspect-ratio: 1/1;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  background: center / contain no-repeat url('/image/tile.png');
}

.maze .row .column .player,
.maze .row .column .exit {
  position: absolute;
}

.maze .row .column .exit {
  height: 100%;
  width: 100%;
}

.maze .message{
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: rgba(255, 255, 255, .5);
  font-size: 60px;
  font-weight: bold;
  color: brown;
  font-family: cursive;
}

.actions {
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
}

.actions .move-pad {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.actions .move-pad .horizontal {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.actions .move-pad .direction {
  height: 25px;
  width: 25px;
  text-align: center;
}

.actions .move-pad .direction.empty {
  padding: 15px;
}

.actions .game-actions {
  padding: 25px;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 25px;
}

a.button {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
  width: 100%;
  text-decoration: none;
  border: 1px solid black;
  border-radius: 5px;
  padding: 5px;
}